```plantuml
@startuml
actor User
entity "AI 运动助手系统" as System

User -> System : 登录
System -> System : 验证用户身份
System -> User : 登录成功/失败

User -> System : 提供个人信息（体重、身高、目标等）
System -> System : 生成个性化运动计划
System -> User : 返回个性化运动计划

User -> System : 开始运动
System -> System : 实时接收运动数据（心率、步数等）
System -> System : 分析运动数据（姿势、强度等）
System -> User : 提供实时运动指导与反馈

User -> System : 提供健康数据（睡眠、饮食等）
System -> System : 健康数据分析
System -> User : 提供健康评估与建议

User -> System : 请求饮食建议
System -> System : 生成个性化饮食建议
System -> User : 返回饮食建议

User -> System : 结束运动并退出
System -> User : 显示运动总结
System -> User : 保存健康数据与运动记录

@enduml
```